Appearance
Get One Report
GET/public/report/{reportId}Retrieve detailed information of a specific automation report by its ID.
Endpoint Details
- Authentication: Basic Auth (
Authorization: Basic Base64(AccessKey:SecretKey)) - Access Tier: Gold+
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
reportId | string | Yes | The unique identifier of the report. |
Example Request
bash
curl -X GET "https://api.repliz.com/public/report/680affa5ce12f2f72916f67e" \
-H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"javascript
import axios from 'axios';
const reportId = '680affa5ce12f2f72916f67e';
const response = await axios.get(
`https://api.repliz.com/public/report/${reportId}`,
{
auth: {
username: 'YOUR_ACCESS_KEY',
password: 'YOUR_SECRET_KEY',
},
},
);
console.log(response.data);javascript
const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY');
const reportId = '680affa5ce12f2f72916f67e';
const response = await fetch(
`https://api.repliz.com/public/report/${reportId}`,
{
headers: {
Authorization: `Basic ${credentials}`,
},
},
);
const data = await response.json();
console.log(data);Response
json
{
"_id": "69afe795cb043c8192dcc3cb",
"type": "reply",
"value": {
"id": "916614914406921_4314529628863505",
"type": "text",
"text": "MANTEP PAK",
"owner": {
"id": "6793729447315239",
"name": "Shika",
"picture": "https://platform-lookaside.fbsbx.com/platform/profilepic/..."
},
"medias": [],
"createdAt": "2026-03-10T09:37:16.000Z",
"reply": {
"id": "916614914406921_1827479077928080",
"type": "text",
"text": "Hello kamu Shika Hello Mus",
"owner": {
"id": "113958387982006",
"name": "Halaman ke 3",
"picture": "https://scontent.fbdo9-1.fna.fbcdn.net/..."
},
"medias": [],
"createdAt": "2026-03-10T09:42:43.440Z"
}
},
"status": "success",
"contentLiveId": "113958387982006_916614914406921",
"accountId": "69686c4c41ec8ac5117c8929",
"userId": "6879b98097fc8c8a78d1d4c1",
"createdAt": "2026-03-10T09:42:43.440Z",
"updatedAt": "2026-03-10T09:42:43.440Z",
"account": {
"_id": "69686c4c41ec8ac5117c8929",
"generatedId": "113958387982006",
"name": "Halaman ke 3",
"username": "Cafe",
"picture": "https://scontent.fbdo9-1.fna.fbcdn.net/...",
"isConnected": true,
"type": "facebook",
"id": "69686c4c41ec8ac5117c8929"
},
"id": "69afe795cb043c8192dcc3cb"
}json
{
"code": 404,
"message": "report not found"
}json
{
"code": 401,
"message": "unauthorized"
}